---
- name: Capture artifacts
  hosts: all
  gather_facts: false
  tasks:
    - name: Ensure local results directory exists
      file:
        path: "results"
        state: directory

    - name: Fetch results html file
      fetch:
        dest: "results/"
        flat: true
        src: "/tmp/centos7-disa-stig-report_after.html"
        fail_on_missing: false
